summaryrefslogtreecommitdiff
path: root/net-news
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-02 23:19:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-02 23:19:48 +0000
commit87da72753a800d1276b3c7197bf69b28fcfa26d0 (patch)
tree60a9302d0e7f5eda1cedd5c41af6c05f528e9d36 /net-news
parent340081a881912146896d5acb7640fc63ffb64de8 (diff)
downloadbaldeagleos-repo-87da72753a800d1276b3c7197bf69b28fcfa26d0.tar.gz
baldeagleos-repo-87da72753a800d1276b3c7197bf69b28fcfa26d0.tar.xz
baldeagleos-repo-87da72753a800d1276b3c7197bf69b28fcfa26d0.zip
Adding metadata
Diffstat (limited to 'net-news')
-rw-r--r--net-news/newsraft/newsraft-0.32.ebuild11
-rw-r--r--net-news/newsraft/newsraft-0.34.ebuild11
-rw-r--r--net-news/newsraft/newsraft-9999.ebuild32
3 files changed, 38 insertions, 16 deletions
diff --git a/net-news/newsraft/newsraft-0.32.ebuild b/net-news/newsraft/newsraft-0.32.ebuild
index 3d97b1962514..c8574a41a9ce 100644
--- a/net-news/newsraft/newsraft-0.32.ebuild
+++ b/net-news/newsraft/newsraft-0.32.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -32,8 +32,15 @@ BDEPEND="
virtual/pkgconfig
"
+src_prepare() {
+ default
+
+ sed -i -e '/CC *=/s;=;?=;' makefile || die
+}
+
src_compile(){
- emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"
+ tc-export CC
+ emake LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"
}
src_install() {
diff --git a/net-news/newsraft/newsraft-0.34.ebuild b/net-news/newsraft/newsraft-0.34.ebuild
index 3d97b1962514..c8574a41a9ce 100644
--- a/net-news/newsraft/newsraft-0.34.ebuild
+++ b/net-news/newsraft/newsraft-0.34.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -32,8 +32,15 @@ BDEPEND="
virtual/pkgconfig
"
+src_prepare() {
+ default
+
+ sed -i -e '/CC *=/s;=;?=;' makefile || die
+}
+
src_compile(){
- emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"
+ tc-export CC
+ emake LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"
}
src_install() {
diff --git a/net-news/newsraft/newsraft-9999.ebuild b/net-news/newsraft/newsraft-9999.ebuild
index 5ba5912afb41..c8574a41a9ce 100644
--- a/net-news/newsraft/newsraft-9999.ebuild
+++ b/net-news/newsraft/newsraft-9999.ebuild
@@ -1,18 +1,18 @@
-# Copyright 2023-2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit toolchain-funcs
+inherit toolchain-funcs xdg-utils
DESCRIPTION="A lightweight feed reader with ncurses user interface inspired by Newsboat."
-HOMEPAGE="https://codeberg.org/grisha/newsraft"
+HOMEPAGE="https://codeberg.org/newsraft/newsraft"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
- EGIT_REPO_URI="https://codeberg.org/grisha/newsraft.git"
+ EGIT_REPO_URI="https://codeberg.org/newsraft/newsraft.git"
else
- SRC_URI="https://codeberg.org/grisha/newsraft/archive/${P}.tar.gz"
+ SRC_URI="https://codeberg.org/newsraft/newsraft/archive/${P}.tar.gz"
KEYWORDS="~amd64"
S="${WORKDIR}/${PN}"
fi
@@ -24,9 +24,7 @@ DEPEND="
dev-db/sqlite:3
dev-libs/expat
dev-libs/gumbo:=
- dev-libs/yajl:=
net-misc/curl
- sys-libs/ncurses:=
"
RDEPEND="${DEPEND}"
BDEPEND="
@@ -34,16 +32,26 @@ BDEPEND="
virtual/pkgconfig
"
-src_compile() {
- tc-getCC
- emake CC="${CC}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+src_prepare() {
+ default
+
+ sed -i -e '/CC *=/s;=;?=;' makefile || die
}
-src_test() {
- emake CC="${CC}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" check
+src_compile(){
+ tc-export CC
+ emake LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"
}
src_install() {
emake PREFIX="/usr" DESTDIR="${D}" install
einstalldocs
}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}